#!/usr/bin/perl
#
#
#
#

use strict;

use Doctaur_libs::Insert_parts;
my $ins_obj = Insert_parts->open();

my $is_logged = Pass_control->admin_is_logged($ENV{'HTTP_COOKIE'});

if (!$is_logged) {print "Status: 302 Temporarily Moved\r\nLocation: login.pl?loc=settings\r\n\r\n";exit;}

my $message = '';

if ($ins_obj->{params}->get('settings_email') ne $ins_obj->{conf}->get('email'))
{

    $ins_obj->{conf}->set_conf('email', $ins_obj->{params}->get('settings_email'));

    if ($ins_obj->{conf}->get('email') eq $ins_obj->{params}->get('settings_email'))
    {
        $message .= 'Email was successfuly changed.<BR>';
    }
    else
    {
        $message .= 'Write error. Email was not changed. Probably wrong permimissions of configuration file.<BR>';
    }
}

if ($ins_obj->{params}->get('settings_SMTP') ne $ins_obj->{conf}->get('SMTP'))
{
    $ins_obj->{conf}->set_conf('SMTP', $ins_obj->{params}->get('settings_SMTP'));

    if ($ins_obj->{conf}->get('SMTP') eq $ins_obj->{params}->get('settings_SMTP'))
    {
        $message .= 'SMTP server was successfuly changed.<BR>';
    }
    else
    {
        $message .= 'Write error. Email was not changed. Probably wrong permimissions of configuration file.<BR>';
    }
}

if ($ins_obj->{params}->get('settings_support_enabled') eq $ins_obj->{conf}->get('support_enabled')){}
elsif ($ins_obj->{params}->get('settings_support_enabled'))
{
    $ins_obj->{conf}->set_conf('support_enabled', $ins_obj->{params}->get('settings_support_enabled'));

    if ($ins_obj->{conf}->get('support_enabled') eq $ins_obj->{params}->get('settings_support_enabled'))
    {
        $message .= "Support link enabled: ".$ins_obj->{conf}->get('support_enabled').".<BR>";
    }
    else
    {
        $message .= 'Write error. Support settings was not changed. Probably wrong permimissions of configuration file.<BR>';
    }
}

if ($ins_obj->{params}->get('settings_help_enabled') eq $ins_obj->{conf}->get('help_enabled')){}
elsif ($ins_obj->{params}->get('settings_help_enabled'))
{
    $ins_obj->{conf}->set_conf('help_enabled', $ins_obj->{params}->get('settings_help_enabled'));

    if ($ins_obj->{conf}->get('help_enabled') eq $ins_obj->{params}->get('settings_help_enabled'))
    {
        $message .= "Administarator's help links enabled: ".$ins_obj->{conf}->get('help_enabled').".<BR>";
    }
    else
    {
        $message .= 'Write error. Help settings was not changed. Probably wrong permimissions of configuration file.<BR>';
    }
}


if ($ins_obj->{params}->get('settings_new_password') eq $ins_obj->{params}->get('settings_confirm_new_password'))
{
    if ($ins_obj->{params}->get('settings_new_password'))
    {
            if ($ins_obj->{pass_control}->set_pass('admin', $ins_obj->{params}->get('settings_new_password')))
            {
                $message .= 'Password for the user \'admin\' was successfuly changed.<BR>';
            }
            else {$message .= 'Write error. Password for the user \'admin\' was not changed. Probably wrong permissions of password file.<BR>';}

    }
}
else
{
    $message .= 'Password confirmation error, please <A HREF="settings.pl">try again</A>.';
}


my $qs = $ENV{'QUERY_STRING'};


$ins_obj->insert_all_behind_body();
$ins_obj->insert_title('DocTaur settings');

print qq!
                        <BR>$message<BR>
!;

$ins_obj->insert_foot();
